## commit-patch 2.4

=== Makefile ===
VERSION := $(shell perl -ne '/VERSION\s*=\s*'"'(.*)'"'/ and print "$$1"' commit-patch)

BIN = commit-patch commit-partial
MAN = commit-patch.1 commit-partial.1
ELISP = commit-patch-buffer.el
DOC = commit-patch.html README COPYING Changes
ALL = $(BIN) $(MAN) $(ELISP) $(DOC)

all: $(ALL)

commit-partial:
	ln -s commit-patch commit-partial

commit-patch.1: commit-patch
	pod2man -c "User Commands" $< > $@

commit-partial.1:
	ln -s commit-patch.1 commit-partial.1

commit-patch.html: commit-patch
	pod2html --title="commit-patch Documentation" $< > $@

release: commit-patch-$(VERSION).tar.gz

commit-patch-$(VERSION).tar.gz: $(ALL) Makefile
	mkdir commit-patch-$(VERSION)
	rsync -a $^ commit-patch-$(VERSION)
	tar czf commit-patch-$(VERSION).tar.gz commit-patch-$(VERSION)
	rm -rf commit-patch-$(VERSION)

PREFIX=/usr/local
install: $(ALL)
	mkdir -p "$(PREFIX)/bin"
	mkdir -p "$(PREFIX)/share/man/man1"
	mkdir -p "$(PREFIX)/share/emacs/site-lisp"
	mkdir -p "$(PREFIX)/share/doc/commit-patch"
	cp -a $(BIN)   "$(PREFIX)/bin"
	cp -a $(MAN)   "$(PREFIX)/share/man/man1"
	cp -a $(ELISP) "$(PREFIX)/share/emacs/site-lisp"
	cp -a $(DOC)   "$(PREFIX)/share/doc/commit-patch"

=== debian/changelog ===
commit-patch (2.4-1) unstable; urgency=low

  * New upstream version.

  * Upgraded to standards base 3.9.1.

  * Fixed a slew of packaging issues pointed out by Gregor Herrmann
    <gregoa@debian.org>.

 -- David Caldwell <david@porkrind.org>  Wed, 23 Feb 2011 01:22:03 -0800

commit-patch (2.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #574787)

 -- David Caldwell <david@porkrind.org>  Sat, 20 Mar 2010 15:42:43 -0700

=== debian/control ===
Source: commit-patch
Section: vcs
Priority: optional
Maintainer: David Caldwell <david@porkrind.org>
Build-Depends: debhelper (>= 8.0.0~), perl
Standards-Version: 3.9.1
Homepage: http://porkrind.org/commit-patch/

Package: commit-patch
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libipc-run-perl, patch, patchutils
Suggests: darcs | git | mercurial | bzr | subversion | cvs
Description: utility to commit fine grained patches to source code control repositories
 Normally version control systems don't allow fine grained
 commits. commit-patch allows the user to control exactly what gets
 committed by letting the user supply a patch to be committed rather than
 using the files in the current working directory.
 .
 commit-patch supports Darcs, Git, Mercurial, Bazaar, Subversion, or CVS
 repositories.
 .
 Also included is an Emacs interface to commit-patch. It allows you to just
 hit C-c C-c in any patch buffer to apply and commit only the changes
 indicated by the patch, regardless of the changes in your working
 directory.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	make install PREFIX=debian/commit-patch/usr
	# No need for another copy of the GPL:
	rm debian/commit-patch/usr/share/doc/commit-patch/COPYING
	# Installed by dh_installchangelogs:
	rm debian/commit-patch/usr/share/doc/commit-patch/Changes

%:
	dh  $@

## commit-patch 2.5

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,10 @@
 	tar czf commit-patch-$(VERSION).tar.gz commit-patch-$(VERSION)
 	rm -rf commit-patch-$(VERSION)
 
+test:
+	./test/run-tests
+.PHONY: test
+
 PREFIX=/usr/local
 install: $(ALL)
 	mkdir -p "$(PREFIX)/bin"

=== debian/changelog ===
commit-patch (2.5-1) unstable; urgency=low

  * New upstream release:

    * Added Monotone support.

    * Support Subversion version 1.7.

    * Fixed an issue with git where committing inside a repository's
      subdirectory would fail.

    * Fixed some cases where adding and removing files would fail.

  * Upgraded to standards version 3.9.4.

  * Updated emacsen-install debhelper script (Closes: #703583)

 -- David Caldwell <david@porkrind.org>  Wed, 15 May 2013 20:44:57 -0700

=== debian/control ===
Source: commit-patch
Section: vcs
Priority: optional
Maintainer: David Caldwell <david@porkrind.org>
Build-Depends: debhelper (>= 8.0.0~), perl
Standards-Version: 3.9.4
Homepage: http://porkrind.org/commit-patch/
Vcs-Git: git://github.com/caldwell/commit-patch.git -b debian

Package: commit-patch
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libipc-run-perl, patch, patchutils
Suggests: darcs | git | mercurial | bzr | monotone | subversion | cvs
Description: utility to commit fine grained patches to source code control repositories
 Normally version control systems don't allow fine grained
 commits. commit-patch allows the user to control exactly what gets
 committed by letting the user supply a patch to be committed rather than
 using the files in the current working directory.
 .
 commit-patch supports Darcs, Git, Mercurial, Bazaar, Monotone, Subversion,
 or CVS repositories.
 .
 Also included is an Emacs interface to commit-patch. It allows you to just
 hit C-c C-c in any patch buffer to apply and commit only the changes
 indicated by the patch, regardless of the changes in your working
 directory.

## commit-patch 2.6

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,10 @@
 ALL = $(BIN) $(MAN) $(ELISP) $(DOC)
 
 all: $(ALL)
+
+commit-patch.fat: commit-patch
+	carton exec fatpack pack $< > $@
+	chmod +x $@
 
 commit-partial:
 	ln -s commit-patch commit-partial
@@ -22,9 +26,11 @@
 
 release: commit-patch-$(VERSION).tar.gz
 
-commit-patch-$(VERSION).tar.gz: $(ALL) Makefile
+commit-patch-$(VERSION).tar.gz: $(ALL) Makefile commit-patch.fat
+	if ! git diff --quiet -- $^; then tput setab 1; tput setaf 3; /bin/echo -n 'WARNING: Directory is not clean!'; tput sgr0; echo; fi
 	mkdir commit-patch-$(VERSION)
 	rsync -a $^ commit-patch-$(VERSION)
+	mv -f commit-patch-$(VERSION)/commit-patch.fat commit-patch-$(VERSION)/commit-patch
 	tar czf commit-patch-$(VERSION).tar.gz commit-patch-$(VERSION)
 	rm -rf commit-patch-$(VERSION)

=== debian/changelog ===
commit-patch (2.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:49:07 +0100

commit-patch (2.6-2) unstable; urgency=medium

  * Don't attempt to byte compile on xemacs (not supported by upstream)
    (Closes: 922926)

 -- David Caldwell <david@porkrind.org>  Fri, 22 Feb 2019 04:09:12 -0800

commit-patch (2.6-1) unstable; urgency=medium

  * New upstream release.

  * Upgrade to Standards-Version 4.3.0

  * Use https link for Vcs-Git

  * Use 'editor' instead of 'vi' when EDITOR and VISUAL are not set.

  * Upgrade to debhelper 10

  * Comply with debian-emacs-policy

 -- David Caldwell <david@porkrind.org>  Wed, 13 Feb 2019 23:20:24 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: David Caldwell <david@porkrind.org>
-Build-Depends: debhelper (>= 8.0.0~), perl
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10.0.0~), perl
+Standards-Version: 4.3.0
 Homepage: http://porkrind.org/commit-patch/
-Vcs-Git: git://github.com/caldwell/commit-patch.git -b debian
+Vcs-Git: https://github.com/caldwell/commit-patch.git -b debian
 
 Package: commit-patch
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libipc-run-perl, patch, patchutils
+Depends: ${misc:Depends}, ${perl:Depends}, libipc-run-perl, patch, patchutils, emacsen-common (>= 2.0.8)
 Suggests: darcs | git | mercurial | bzr | monotone | subversion | cvs
 Description: utility to commit fine grained patches to source code control repositories
  Normally version control systems don't allow fine grained

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,9 @@
 	# Installed by dh_installchangelogs:
 	rm debian/commit-patch/usr/share/doc/commit-patch/Changes
 
+# Skip tests. They aren't mature enough to offer any benefit during packaging.
+override_dh_auto_test:
+	true
+
 %:
 	dh  $@

=== debian/watch ===
version=3

http://www.porkrind.org/commit-patch commit-patch-(.*)\.tar\.gz

## commit-patch 2.6.2

=== Makefile ===
--- 
+++ 
@@ -3,23 +3,18 @@
 BIN = commit-patch commit-partial
 MAN = commit-patch.1 commit-partial.1
 ELISP = commit-patch-buffer.el
-DOC = commit-patch.html README COPYING Changes
+DOC = commit-patch.html README.md COPYING Changes
 ALL = $(BIN) $(MAN) $(ELISP) $(DOC)
 
 all: $(ALL)
 
 commit-patch.fat: commit-patch
-	carton exec fatpack pack $< > $@
+	carton exec fatpack pack $< > $@.new || { rm -f $@.new; false; }
+	mv -f $@.new $@
 	chmod +x $@
-
-commit-partial:
-	ln -s commit-patch commit-partial
 
 commit-patch.1: commit-patch
 	pod2man -c "User Commands" $< > $@
-
-commit-partial.1:
-	ln -s commit-patch.1 commit-partial.1
 
 commit-patch.html: commit-patch
 	pod2html --title="commit-patch Documentation" $< > $@
@@ -39,12 +34,13 @@
 .PHONY: test
 
 PREFIX=/usr/local
+LISPDIR=/share/emacs/site-lisp
 install: $(ALL)
 	mkdir -p "$(PREFIX)/bin"
 	mkdir -p "$(PREFIX)/share/man/man1"
-	mkdir -p "$(PREFIX)/share/emacs/site-lisp"
+	mkdir -p "$(PREFIX)$(LISPDIR)"
 	mkdir -p "$(PREFIX)/share/doc/commit-patch"
 	cp -a $(BIN)   "$(PREFIX)/bin"
 	cp -a $(MAN)   "$(PREFIX)/share/man/man1"
-	cp -a $(ELISP) "$(PREFIX)/share/emacs/site-lisp"
+	cp -a $(ELISP) "$(PREFIX)$(LISPDIR)"
 	cp -a $(DOC)   "$(PREFIX)/share/doc/commit-patch"

=== debian/changelog ===
commit-patch (2.6.2-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #1077107).

 -- David Caldwell <david@porkrind.org>  Mon, 26 Aug 2024 12:52:07 -0700

commit-patch (2.6.2-1) unstable; urgency=medium

  * New upstream release:

    * Fixed a bug in `commit-patch-buffer` that caused `vc-annotate` to be
      out of date (https://github.com/caldwell/commit-patch/issues/14).

    * Minor changes to allow easier packaging.

  * Update standards version to 4.5.1.

  * Set debhelper-compat version in Build-Depends.

  * Bump debhelper from old 10 to 13.

  * debian/control: Add Vcs-Browser field.

  * Use secure URI in Homepage field.

  * Use secure copyright file specification URI.

  * Remove obsolete lintian override.

  * Use dh_elpa for elisp portion.

 -- David Caldwell <david@porkrind.org>  Mon, 06 Sep 2021 14:27:23 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: David Caldwell <david@porkrind.org>
-Build-Depends: debhelper (>= 10.0.0~), perl
-Standards-Version: 4.3.0
-Homepage: http://porkrind.org/commit-patch/
+Build-Depends: debhelper-compat (= 13), dh-elpa (>= 2.0.8~), perl
+Standards-Version: 4.5.1
+Homepage: https://porkrind.org/commit-patch/
 Vcs-Git: https://github.com/caldwell/commit-patch.git -b debian
+Vcs-Browser: https://github.com/caldwell/commit-patch/tree/debian
 
 Package: commit-patch
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ELPA_NAME=commit-patch-buffer
export ELPA_NAME

override_dh_auto_install:
	make install PREFIX=debian/commit-patch/usr
	# dh_elpa copies the .el file to a new place
	rm debian/commit-patch/usr/share/emacs/site-lisp/commit-patch-buffer.el
	# No need for another copy of the GPL:
	rm debian/commit-patch/usr/share/doc/commit-patch/COPYING
	# Installed by dh_installchangelogs:
	rm debian/commit-patch/usr/share/doc/commit-patch/Changes
	# Set the correct debian editor
	sed -i 's/FALLBACK_EDITOR *=.*/FALLBACK_EDITOR = "editor";/' debian/commit-patch/usr/bin/commit-patch

# Skip tests. They aren't mature enough to offer any benefit during packaging.
override_dh_auto_test:
	true

%:
	dh $@ --no-parallel --with elpa
